Bug 1250153 - webui doesn't accept branch or tag information in source url
Summary: webui doesn't accept branch or tag information in source url
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-04 15:27 UTC by Erik M Jacobs
Modified: 2015-09-22 19:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The OpenShift Enterprise web console now allows users to specify the git ref from which their build will be created. Reason: So that users may choose the tag or branch from which to create their build. Result: Web console users may choose the tag or branch from which to create their build.
Clone Of:
Environment:
Last Closed: 2015-09-22 19:52:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1835 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 3.0.2.0 bug fix and enhancement update 2015-09-22 23:52:35 UTC

Description Erik M Jacobs 2015-08-04 15:27:02 UTC
new-app will take a git branch via #branchname at the end of a source url

the webui doesn't do this, and treats #branchname as part of the URL.

This is inconsistent behavior.

Comment 2 Jessica Forrester 2015-08-18 13:35:43 UTC
Fix is in https://github.com/openshift/origin/pull/4223

You can input a URL like https://github.com/openshift/nodejs-ex#v1.0.1 and it will strip off the ref and use that instead of "master".  If no ref is specified then it will still default to master.

Comment 5 openshift-github-bot 2015-08-18 22:05:00 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/9a8f016cd4d6959c4ceffa1cc42c8527fa8aa977
Bug 1250153 - console doesnt accept git ref in create from source URL

Comment 7 Yanping Zhang 2015-08-19 05:51:32 UTC
The fix in pull4223 works on origin, but we need a new ose puddle with the fix to verify this enterprise bug.  Pls provide the puddle ,then move the bug ON_QA again.

Comment 8 Yanping Zhang 2015-09-09 03:01:43 UTC
Verified on puddle OpenShiftEnterprise/3.0/2015-09-08.1
# oc version
oc v3.0.1.900-185-g2f7757a
kubernetes v1.1.0-alpha.0-1605-g44c91b1

Steps to verify:
1.On web console, create app with: https://github.com/openshift/nodejs-ex#v1.0.1 and choose image nodejs
2.Check the buildconfig, pod and build.

Actual results:
1.App is created successfully.
2.Build is completed and pod is running.
In the buildconfig, the source is using ref v1.0.1:
<--snip-->
source:
    git:
      ref: v1.0.1
      uri: https://github.com/openshift/nodejs-ex
    type: Git
<--snip-->
And from the build logs, confirm that it used ref v1.0.1: "Checked out "v1.0.1""

So move the bug to verified.

Comment 10 errata-xmlrpc 2015-09-22 19:52:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2015:1835


Note You need to log in before you can comment on or make changes to this bug.